---
apiVersion: v1
kind: ConfigMap
metadata:
  labels:
    app.kubernetes.io/component: puppetserver-compilers
    app.kubernetes.io/instance: puppetserver
    app.kubernetes.io/name: puppetserver
    app.kubernetes.io/version: 8.8.0
  name: puppetserver-compiler-config
  namespace: puppet
data:
  OPENVOXSERVER_PORT: "8140"
  DNS_ALT_NAMES: "puppetserver-compiler,puppet,puppet.k8s.syd1.au.unkin.net"
  OPENVOXDB_SERVER_URLS: "https://puppetdb:8081"
  CA_ENABLED: "false"
  CA_HOSTNAME: "puppetca"
  CA_PORT: "8140"
  PUPPETSERVER_JAVA_ARGS: "-Xms1024m -Xmx3072m -Dcom.sun.management.jmxremote.port=31000 -Dcom.sun.management.jmxremote.authenticate=false -Dcom.sun.management.jmxremote.ssl=false"
